///////////////////////////////////////////////////////////////////////////////
// Name:        gui.cpp
// Purpose:     Code for NeReK's Gui
// Author:      Chad Rempp
// Modified by: Chad Rempp
// Created:     05-20-03
// Copyright:   (c) 2003 Chad Rempp
// Licence:     GNU Public License (hey it's what all my friends are doing)
///////////////////////////////////////////////////////////////////////////////

//#include <wx/wxprec.h>

#include "gui.h"

//#ifndef WX_PRECOMP
   #include <wx/wx.h>
//#endif

IMPLEMENT_APP(NGuiApp)

///////////////////////////////////////////////////////////////////////////////
// wxApp Class          NGuiApp
///////////////////////////////////////////////////////////////////////////////

bool NGuiApp::OnInit()
{
   mainFrame *main_frame = new mainFrame("NeReK Simulator", wxPoint (0,0),
     wxSize(450, 40), wxSIMPLE_BORDER);
   main_frame->Show(TRUE);
   SetTopWindow(main_frame);

   /* Do not return FALSE or the app will terminate immediately */
   return TRUE;
}

// Main Window

mainFrame::mainFrame(const wxString &title, const wxPoint &pos, const wxSize &size, long style)
    : wxFrame((wxFrame *) NULL, -1, title, pos, size, style)
{
    wxMenu *FileMenu = new wxMenu;
    wxMenu *NewMenu  = new wxMenu;
    wxMenuBar *MenuBar = new wxMenuBar;

    // create a menu bar
    FileMenu->Append(mainFrame_Quit, "&Quit");
    NewMenu->Append(mainFrame_NewPerceptron, "&Perceptron");
    NewMenu->Append(mainFrame_NewMultiPercp, "&Multi Layer Perceptron");

    // Add it to the menu bar
    MenuBar->Append(FileMenu, "&File");
    MenuBar->Append(NewMenu,"&New");
    SetMenuBar(MenuBar);

    // Create the status bar
    CreateStatusBar(2);
    SetStatusText("Welcome To NeReK");
}

void mainFrame::OnQuit(wxCommandEvent & WXUNUSED(event))
{
    // Force the window to close
    Close(TRUE);
}

void mainFrame::OnNewPerceptron(wxCommandEvent & WXUNUSED(event))
{
}

void mainFrame::OnNewMultiPercp(wxCommandEvent & WXUNUSED(event))
{
}

BEGIN_EVENT_TABLE(mainFrame, wxFrame)
   EVT_MENU(mainFrame_Quit, mainFrame::OnQuit)
   EVT_MENU(mainFrame_NewPerceptron, mainFrame::OnNewPerceptron)
   EVT_MENU(mainFrame_NewMultiPercp, mainFrame::OnNewMultiPercp)
END_EVENT_TABLE()
