///////////////////////////////////////////////////////////////////////////////
// Name:        gui.h
// Purpose:     Header for gui code
// Author:      Chad Rempp
// Modified by: Chad Rempp
// Created:     05-20-03
// Copyright:   (c) 2003 Chad Rempp
// Licence:     GNU Public License (hey it's what all my friends are doing)
///////////////////////////////////////////////////////////////////////////////

#ifndef _GUI_H
#define _GUI_H

#include <wx/wx.h>

///////////////////////////////////////////////////////////////////////////////
// wxApp Class          NGuiApp
///////////////////////////////////////////////////////////////////////////////

class NGuiApp: public wxApp
{
  public:
      virtual bool OnInit();
};


///////////////////////////////////////////////////////////////////////////////
// wxFrame Class        mainFrame
///////////////////////////////////////////////////////////////////////////////
class mainFrame: public wxFrame
{
  public:
      mainFrame(const wxString &title, const wxPoint &pos, const wxSize &size, long style);
      void OnQuit(wxCommandEvent &event);
      void OnNewPerceptron(wxCommandEvent &event);
      void OnNewMultiPercp(wxCommandEvent &event);

  private:
      // Any class wishing to process wxWindows events must use this macro
      DECLARE_EVENT_TABLE()
};


// IDs for the menu command
enum
{
   mainFrame_Quit = 1,
   mainFrame_NewPerceptron = 2,
   mainFrame_NewMultiPercp = 3
};

DECLARE_APP(NGuiApp)

#endif   // _GUI_H
